-- Rockstar94 --



AnimacjaDeszczu = {};

function AnimacjaDeszczu.prerequisitesPresent(specializations)
    return true
end;

function AnimacjaDeszczu:load(xmlFile)
	self.AnimacjaDeszczu = {};
    local i = 0;
    while true do
        local key = string.format("vehicle.AnimacjaDeszczu.AnimacjaDeszczu(%d)", i);
        if not hasXMLProperty(xmlFile, key) then
            break;
        end;
        local node = Utils.indexToObject(self.components, getXMLString(xmlFile, key.."#index"));
        if node ~= nil then
            table.insert(self.AnimacjaDeszczu, {node=node});
        end;
	    i = i +1;
    end;
end;

function AnimacjaDeszczu:delete()
end;

function AnimacjaDeszczu:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AnimacjaDeszczu:keyEvent(unicode, sym, modifier, isDown)
end;

function AnimacjaDeszczu:update(dt)
	if g_currentMission.environment.lastRainScale > 0.1 and g_currentMission.environment.timeSinceLastRain < 30 then
		for _, part in pairs(self.AnimacjaDeszczu) do
			setVisibility(part.node, true);
		end;	
	else
		for _, part in pairs(self.AnimacjaDeszczu) do
			setVisibility(part.node, false);
		end;	
	end;	
end;

function AnimacjaDeszczu:onLeave()
end;

function AnimacjaDeszczu:onEnter()
end;

function AnimacjaDeszczu:onDeactivate()
end;

function AnimacjaDeszczu:draw()
end;